import SvgFromUrl from "../../SvgFromUrl";
export declare const Embed: import("@stitches/react/types/styled-component").StyledComponent<"article", {
    thin?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ContentAndThumbnail: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    hasLargeThumbnail?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Content: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Provider: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Author: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AuthorIcon: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const AuthorName: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Title: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    link?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Description: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Fields: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Field: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    inline?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FieldName: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FieldValue: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Image: import("@stitches/react/types/styled-component").StyledComponent<"img", {
    clickable?: boolean | "true" | undefined;
    withMargin?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Images: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    nImages?: 1 | 3 | 4 | "1" | "2" | "3" | 2 | "4" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ImageGridImageContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Footer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FooterIcon: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const MediaEmbed: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoIframe: import("@stitches/react/types/styled-component").StyledComponent<"iframe", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnail: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnailPlayButtonContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const VideoThumbnailPlayButton: import("@stitches/react/types/styled-component").StyledComponent<typeof SvgFromUrl, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
//# sourceMappingURL=style.d.ts.map