import SvgFromUrl from "../SvgFromUrl";
export declare const MessageContent: import("@stitches/react/types/styled-component").StyledComponent<"span", {
    isOptimistic?: boolean | "true" | undefined;
    isReplyContent?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ContentMessageTooltip: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ContentContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    didFailToSend?: boolean | "true" | undefined;
    isReplyContent?: boolean | "true" | undefined;
}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ReplyAccessoryText: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const MessageAccessories: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const DeferredContent: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Edited: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ThreadButtonContainer: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ThreadButton: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ThreadButtonTopLine: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ThreadButtonName: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const SeeThreadButton: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const ReplyIcon: import("@stitches/react/types/styled-component").StyledComponent<typeof SvgFromUrl, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const StickerTooltipIcon: import("@stitches/react/types/styled-component").StyledComponent<typeof SvgFromUrl, {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const LottieStickerWrapper: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const StickerTooltip: import("@stitches/react/types/styled-component").StyledComponent<"span", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const Sticker: import("@stitches/react/types/styled-component").StyledComponent<"img", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const FailedInteraction: import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const TypingIndicator: import("@stitches/react/types/styled-component").StyledComponent<"svg", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const TypingIndicatorCircle1: import("@stitches/react/types/styled-component").StyledComponent<"circle", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const TypingIndicatorCircle2: import("@stitches/react/types/styled-component").StyledComponent<"circle", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const TypingIndicatorCircle3: import("@stitches/react/types/styled-component").StyledComponent<"circle", {}, {}, import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        lazyImageBackground: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
        mentionBackground: string;
        mentionBackgroundHover: string;
        mentionForeground: string;
        buttonPrimaryBackground: string;
        buttonPrimaryHoverBackground: string;
        buttonSecondaryBackground: string;
        buttonSecondaryHoverBackground: string;
        buttonDangerBackground: string;
        buttonDangerHoverBackground: string;
        buttonSuccessBackground: string;
        buttonSuccessHoverBackground: string;
        automodUsername: string;
        automodMatchedWord: string;
        automodMessageBackground: string;
        automodDot: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
        xl: string;
        xxl: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
        embedThumbnail: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
//# sourceMappingURL=style.d.ts.map