import type { ReactNode } from "react";
import type { Config, PartialSvgConfig } from "./core/ConfigContext";
type MessageRendererProviderProps<SvgConfig extends PartialSvgConfig> = {
    children: ({ themeClass }: {
        themeClass: string;
    }) => ReactNode;
} & Config<SvgConfig>;
declare function MessageRendererProvider<TConfig extends PartialSvgConfig>({ children, ...config }: MessageRendererProviderProps<TConfig>): JSX.Element;
export default MessageRendererProvider;
//# sourceMappingURL=MessageRendererProvider.d.ts.map