import type { ReactNode } from "react";
export declare const tooltipPrefix = "message-renderer-rc-tooltip";
export declare const tooltipAnimPrefix = "tooltip-anim";
export declare const tooltipAnimDurationMs = 100;
type TooltipProps = {
    children: ReactNode;
    placement: "left" | "right" | "top" | "bottom" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight" | "rightTop" | "rightBottom" | "leftTop" | "leftBottom";
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
    overlay: ReactNode;
} & Record<string, unknown>;
declare function Tooltip({ children, ...props }: TooltipProps): JSX.Element;
export default Tooltip;
//# sourceMappingURL=index.d.ts.map