import type { CSSProperties } from "react";
import type { ChatMessage } from "./types";
export interface MessageProps {
    messages: ChatMessage[];
    style?: CSSProperties;
    showButtons?: boolean;
    thread: boolean;
}
export declare function MessageGroup(props: MessageProps): JSX.Element;
export { default as Message } from "./Message";
export { default as MessageRendererProvider } from "./MessageRendererProvider";
export { default as Markdown, LinkMarkdown } from "./markdown/render";
//# sourceMappingURL=index.d.ts.map