import type { CSSProperties } from "react";
import { PureComponent } from "react";
interface Props {
    content: string;
}
interface State {
    showing: boolean;
    hover: boolean;
    role: string;
}
export default class TextSpoiler extends PureComponent<Props, State> {
    state: {
        showing: boolean;
        hover: boolean;
        role: string;
    };
    constructor(props: any);
    onHover(): void;
    onClick(): void;
    computeStyle(): {
        background: string;
        borderRadius: string;
        cursor?: undefined;
    } | {
        background: string;
        cursor: string;
        borderRadius: string;
    };
    computeInnerStyle(): CSSProperties;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=TextSpoiler.d.ts.map