import type { APIAttachment, APIEmbed } from "discord-api-types/v10";
export type Attachment = APIAttachment & {
    width: number;
    height: number;
};
type Embed = APIEmbed & {
    width: number;
    height: number;
    video: Required<APIEmbed["video"]>;
};
interface VideoAttachmentProps {
    attachmentOrEmbed: Attachment | Embed | {
        url: string;
        width: number;
        height: number;
    };
}
declare function VideoAttachment(props: VideoAttachmentProps): JSX.Element | null;
export default VideoAttachment;
//# sourceMappingURL=VideoAttachment.d.ts.map