import type { APIEmbedThumbnail, APIEmbedVideo } from "discord-api-types/v10";
interface EmbedVideoProps extends Required<Pick<APIEmbedVideo, "width" | "height">> {
    thumbnail?: APIEmbedThumbnail["url"];
    url: APIEmbedVideo["url"] | undefined;
    proxyUrl: APIEmbedVideo["proxy_url"] | undefined | null;
}
declare function EmbedVideo(props: EmbedVideoProps): JSX.Element | null;
export default EmbedVideo;
//# sourceMappingURL=EmbedVideo.d.ts.map