import type { APIUser, Snowflake } from "discord-api-types/v10";
import type { ComponentProps } from "react";
import * as Styles from "./style/author";
interface AutomodAuthorProps {
    isAvatarAnimated?: boolean;
}
export declare function AutomodAuthor({ isAvatarAnimated }: AutomodAuthorProps): JSX.Element;
interface MessageAuthorProps extends ComponentProps<typeof Styles.MessageAuthor> {
    author: APIUser;
    isAvatarAnimated?: boolean;
    onlyShowUsername?: boolean;
    crossPost?: boolean;
    referenceGuild?: Snowflake;
    guildId: Snowflake | null | undefined;
}
declare function MessageAuthor({ onlyShowUsername, author, crossPost, referenceGuild, guildId, ...props }: MessageAuthorProps): JSX.Element;
export default MessageAuthor;
//# sourceMappingURL=MessageAuthor.d.ts.map