declare enum TimestampStyle {
    ShortTime = "t",
    LongTime = "T",
    ShortDate = "d",
    LongDate = "D",
    ShortDateTime = "f",
    LongDateTime = "F",
    RelativeTime = "R"
}
interface Props {
    data: {
        timestamp: `${number}`;
        style?: TimestampStyle;
    };
}
export declare function Timestamp({ data: { timestamp, style } }: Props): JSX.Element;
export {};
//# sourceMappingURL=Timestamp.d.ts.map