import type { APIUser } from "discord-api-types/v10";
type AvatarSize = 16 | 20 | 22 | 24 | 28 | 32 | 40 | 44 | 48 | 56 | 60 | 64 | 80 | 96 | 100 | 128 | 160 | 240 | 256 | 300 | 320 | 480 | 512 | 600 | 640 | 1024 | 1280 | 1536 | 2048 | 3072 | 4096;
export interface GetAvatarOptions {
    size?: AvatarSize;
    forceDefault?: boolean;
}
export interface UserAvatar {
    stillAvatarUrl: string;
    animatedAvatarUrl?: string;
}
declare function getAvatar(user: APIUser, { size, forceDefault }?: GetAvatarOptions): UserAvatar;
export default getAvatar;
//# sourceMappingURL=getAvatar.d.ts.map